/*
 * Created on 2004-12-29
 *
 * Part of the Symbian development plug-in for Eclipse
 * Copyright (C) Mikołaj Zalewski, 2004
 */
package pl.zalewski.mikolaj.symbdev.core.internal.mmpparser;

import java.util.Iterator;
import java.util.LinkedList;

import pl.zalewski.mikolaj.symbdev.core.internal.mmpmodel.MMPModel;

/**
 * Parser that doesn't recognize any command. Used for parsing
 * START BLOCKNAME ... END, where BLOCKNAME is not recognized
 * 
 * @author mikolaj
 */
public class UnknownCommandParser extends AbstractCommandParser {

    /**
     * @param model
     * @param parser
     */
    public UnknownCommandParser(MMPModel model, MMPParser parser, String envName) {
        super(model, parser);
        fEnvironment=new MMPEnvironment(envName);
    }

    protected LinkedList parse(String cmd, Iterator it, AbstractTokenParser cmdToken) {
        return new LinkedList();
    }

    public String[] getKeywords() {
        return new String[0];
    }

    public void commandsEnd() {
    }
}
